[[_TOC_]]

### 1. Installation procedure

1. delete any dd_venv folder  
   ```rm -rf dd_venv```
1. create dd_venv   
   ```python3 -m venv dd_venv```
1. change to dd_venv virtual environment   
   ```source dd_venv/bin/activate```
1. install the requirements  
   ```python3 -m pip install -r requirements.txt```

### 2. Setup the mongodb configuration in .env file
```shell
export MONGO_HOST=localhost
export MONGO_PORT=27017
export MONGO_DBNAME=ddcode

export SRC_DIR="$PWD/src"
```

### 3. Run the server
```shell
source .env
flask run --host=0.0.0.0 --port=5001
```

### 4. Leaving the virtual environment
```shell
deactivate
```

## Development

To develop REST API accessed to wiki.js, use the graphql playground.
* http://ddcode-srv1:3000/graphql
